| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ContentFilteredTopic Class Reference
eProsima Fast DDS API Reference » DDS Public API

Specialization of TopicDescription that allows for content-based subscriptions. More...

`#include <ContentFilteredTopic.hpp>`

Inheritance diagram for ContentFilteredTopic:
[legend]

## Public Member Functions

virtual | ~ContentFilteredTopic ()
FASTDDS_EXPORTED_API Topic * | get_related_topic () const
| Getter for the related topic.
FASTDDS_EXPORTED_API const std::string & | get_filter_expression () const
| Get the filter expression.
FASTDDS_EXPORTED_API ReturnCode_t | get_expression_parameters (std::vector< std::string > &expression_parameters) const
| Get the expression parameters.
FASTDDS_EXPORTED_API ReturnCode_t | set_expression_parameters (const std::vector< std::string > &expression_parameters)
| Set the expression parameters.
FASTDDS_EXPORTED_API ReturnCode_t | set_filter_expression (const std::string &filter_expression, const std::vector< std::string > &expression_parameters)
| Set the filter expression and the expression parameters.
FASTDDS_EXPORTED_API DomainParticipant * | get_participant () const override
| Getter for the DomainParticipant.
TopicDescriptionImpl * | get_impl () const override
Public Member Functions inherited from TopicDescription
const std::string & | get_name () const
| Get the name used to create this TopicDescription.
const std::string & | get_type_name () const
| Get the associated type name.

## Protected Attributes

ContentFilteredTopicImpl * | impl_
Protected Attributes inherited from TopicDescription
std::string | name_
| Name that allows the TopicDescription to be retrieved locally.
std::string | type_name_
| Name that defines a unique resulting type for the publication or the subscription.

## Friends

class | DomainParticipantImpl

## Additional Inherited Members

Protected Member Functions inherited from TopicDescription
| TopicDescription (const std::string &name, const std::string &type_name)
virtual | ~TopicDescription ()

## Detailed Description

Specialization of TopicDescription that allows for content-based subscriptions.

## Constructor & Destructor Documentation

## ◆ ~ContentFilteredTopic()

virtual ~ContentFilteredTopic | ( |  | ) |

virtual

## Member Function Documentation

## ◆ get_expression_parameters()

FASTDDS_EXPORTED_API ReturnCode_t get_expression_parameters | ( | std::vector< std::string > & | expression_parameters | ) | const

Get the expression parameters.

This operation returns expression parameters associated with this ContentFilteredTopic. These will be the `expression_parameters` specified on the last successful call to `set_expression` or `set_expression_parameters`. If those methods have never been called, the expression parameters specified when the ContentFilteredTopic was created will be returned.

Parameters

  [out] | expression_parameters | The expression parameters currently associated with the ContentFilteredTopic.

Returns
  RETCODE_OK

## ◆ get_filter_expression()

FASTDDS_EXPORTED_API const std::string & get_filter_expression | ( |  | ) | const

Get the filter expression.

This operation returns filter expression associated with this ContentFilteredTopic. It will return the `filter_expression` specified on the last successful call to `set_expression` or, if that method is never called, the expression specified when the ContentFilteredTopic was created.

Returns
  the `filter_expression`.

## ◆ get_impl()

TopicDescriptionImpl * get_impl | ( |  | ) | const

override virtual

Implements TopicDescription.

## ◆ get_participant()

FASTDDS_EXPORTED_API DomainParticipant * get_participant | ( |  | ) | const

override virtual

Getter for the DomainParticipant.

Returns
  DomainParticipant pointer

Implements TopicDescription.

## ◆ get_related_topic()

FASTDDS_EXPORTED_API Topic * get_related_topic | ( |  | ) | const

Getter for the related topic.

This operation returns the Topic associated with the ContentFilteredTopic. That is, the Topic specified when the ContentFilteredTopic was created.

## ◆ set_expression_parameters()

FASTDDS_EXPORTED_API ReturnCode_t set_expression_parameters | ( | const std::vector< std::string > & | expression_parameters | ) |

Set the expression parameters.

This operation changes expression parameters associated with this ContentFilteredTopic.

Parameters

  [in] | expression_parameters | The expression parameters to set.

Returns
  RETCODE_OK if the expression parameters where correctly updated.
  RETCODE_BAD_PARAMETER if the expression parameters do not match with the current `filter_expression`.

## ◆ set_filter_expression()

FASTDDS_EXPORTED_API ReturnCode_t set_filter_expression | ( | const std::string & | filter_expression,
|  | const std::vector< std::string > & | expression_parameters )

Set the filter expression and the expression parameters.

This operation changes the filter expression and the expression parameters associated with this ContentFilteredTopic.

Parameters

  [in] | filter_expression | The filter expression to set.
  [in] | expression_parameters | The expression parameters to set.

Returns
  RETCODE_OK if the expression and parameters where correctly updated.
  RETCODE_BAD_PARAMETER if `filter_expression` is not valid for this ContentFilteredTopic.
  RETCODE_BAD_PARAMETER if the expression parameters do not match with the `filter_expression`.

## Friends And Related Symbol Documentation

## ◆ DomainParticipantImpl

friend class DomainParticipantImpl

friend

## Member Data Documentation

## ◆ impl_

ContentFilteredTopicImpl* impl_

protected

The documentation for this class was generated from the following file:

- include/fastdds/dds/topic/ContentFilteredTopic.hpp